<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('service_categories', function (Blueprint $table) {
            $table->id();

            $table->string('name')->nullable();
            $table->text('mini_description')->nullable();
            $table->string('icon')->nullable();

            $table->string('banner')->nullable();
            $table->string('title')->nullable();
            $table->text('title_description')->nullable();

            $table->longText('first_paragraph')->nullable();

            $table->string('first_image')->nullable();
            $table->string('second_image')->nullable();

            $table->longText('second_paragraph')->nullable();

            $table->string('booking_title')->nullable();
            $table->text('booking_description')->nullable();

            $table->json('solutions')->nullable();

            $table->json('key_benefits')->nullable();
            $table->string('key_benefits_icon')->nullable();
            $table->string('key_benefits_title')->nullable();

            $table->string('title_testimonials')->nullable();
            $table->text('description_testimonials')->nullable();

            $table->text('cta_title')->nullable();
            $table->text('cta_mini_description')->nullable();

            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->string('meta_keyword')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('service_categories');
    }
};
